﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.Net.Sockets;

namespace socket
{
    
    public partial class Form1 : Form
    {

        //public string ip_address = "192.168.0.10";
        
        /*public int str_text_bytr(int a)
        {
            string s_IP =  txt_IP.Text;

            Byte[] _IP_ = Encoding.ASCII.GetBytes(s_IP);

            _IP_[10] = 0x31;

            return a;
        }*/
        Byte[] Received_Byte_in_timer1;
        string host;
        int port = 80;
        string page;
        public Form1()
        {
            InitializeComponent();
        }

        public  Socket ConnectSocket(string server, int port)
        {
            Socket s = null;
            IPHostEntry hostEntry = null;

            // Get host related information.
            hostEntry = Dns.GetHostEntry(server);

            // Loop through the AddressList to obtain the supported AddressFamily. This is to avoid 
            // an exception that occurs when the host IP Address is not compatible with the address family 
            // (typical in the IPv6 case). 

            IPAddress address = IPAddress.Parse(txt_IP.Text.TrimEnd()/*ip_address*/);
            //foreach (IPAddress address in hostEntry.AddressList)
            //{
            try
            {
                IPEndPoint ipe = new IPEndPoint(address, port);
                Socket tempSocket = new Socket(ipe.AddressFamily, SocketType.Stream, ProtocolType.Tcp);

                tempSocket.Connect(ipe);

                if (tempSocket.Connected == true)
                {
                    s = tempSocket;
                    label2.Text = "Status Connection: OK!";
                    //break;
                }
                else
                {
                    label2.Text = "Status Connection: Failed!";
                    //continue;
                }
            }
            catch (System.Net.Sockets.SocketException exp)
            {
                MessageBox.Show(exp.ToString());
            }
            return s;
        }

        // This method requests the home page content for the specified server. 
        public  string SocketSendReceive(string server, int port,int status_led)
        {
            string request = "GET /?led=0 HTTP/1.1\r\nHost: " + server + "\r\nConnection: Close\r\n\r\n";
            
           Byte[] bytesSent = Encoding.ASCII.GetBytes(request);
           
            Byte[] bytesReceived = new Byte[1518];
            try
            {
                // Create a socket connection with the specified server and port.
                Socket s = ConnectSocket(server, port);

                if (status_led == 1)
                {
                    bytesSent[10] = 0x31;
                }
                else
                    if (status_led == 2)
                    {
                        bytesSent[10] = 0x32;
                    }
                    else
                        if (status_led == 3)
                        {
                            bytesSent[10] = 0x33;
                        }
                        else
                            if (status_led == 'D')
                            {
                                bytesSent[10] = 0x44;
                            }



                if (s == null)
                    return ("Connection failed");

                // Send request to the server.
                s.Send(bytesSent, bytesSent.Length, 0);

                // Receive the server home page content. 
                int bytes = 0;
                page = "Default HTML page on -------------->" + server + ":\r\n";

                // The following will block until te page is transmitted. 
                do
                {
                    bytes = s.Receive(bytesReceived, bytesReceived.Length, 0);
                    //label4.Text = Encoding.ASCII.GetString(bytesReceived, 0, bytes);
                    page = page + Encoding.ASCII.GetString(bytesReceived, 0, bytes);
                    
                }
                while (bytes > 0);
                
            }
            /*catch (Exception s)
            {
            }*/
            catch (System.Net.Sockets.SocketException ex)
            {
                //Console.WriteLine("{0} First exception caught.", e);
                MessageBox.Show(ex.ToString());
            }
            finally
            {
                
            }
            return page;
        }

        //public static string hostIP = string.Empty;
        

        private void button1_Click(object sender, EventArgs e)
        {
            //string host;
            //int port = 80;
            
            host = Dns.GetHostName();

            textBox2.Text = host;

            string result = SocketSendReceive(host, port,1);
            textBox1.Text = result;
           
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //string host;
            //int port = 80;

            host = Dns.GetHostName();

            textBox2.Text = host;

            string result = SocketSendReceive(host, port, 2);
            textBox1.Text = result;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //string host;
            //int port = 80;

            host = Dns.GetHostName();

            textBox2.Text = host;

            string result = SocketSendReceive(host, port, 3);
            textBox1.Text = result;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            try
            {
                host = Dns.GetHostName();

                textBox2.Text = host;

                string result = SocketSendReceive(host, port, 'D');
                Received_Byte_in_timer1 = Encoding.ASCII.GetBytes(result);
                
                if ((Received_Byte_in_timer1[120] == 'D') || (Received_Byte_in_timer1[120] == 'd'))
                {
                    label5.Text = "KEY1 DOWN";
                }
                else
                {
                    label5.Text = "KEY1 UP";
                }
                textBox1.Text = result;
            }
            catch(System.Net.Sockets.SocketException exp)
            {
                MessageBox.Show(exp.ToString());
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //string host;
            //int port = 80;

            try
            {
                host = Dns.GetHostName();

                textBox2.Text = host;

                string result = SocketSendReceive(host, port, 'D');
                textBox1.Text = result;
            }
            catch (System.IndexOutOfRangeException exp )
            {
                MessageBox.Show(exp.ToString());
            }
            

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBox1.Checked == true)
            {
                timer1.Enabled = true;
            }
            else
            {
                timer1.Enabled = false;
            }
        }
    }
}
